@import 'breakpoints';

.cookie-warning-content {
  position: relative;
  padding: 2px 0 10px;
  background-color: var(--ion-foreground-color);
  color: var(--fg-main);
  border-top-left-radius: 5px;
  border-top-right-radius: 5px;
  -webkit-box-shadow: var(--cookie-shadow);
  -moz-box-shadow: var(--cookie-shadow);
  box-shadow: var(--cookie-shadow);
  max-width: 100%;

  .cookie-warning-text {
    display: block;
    padding: 0 10px;
    text-align: justify;
    font-size: 12px;
  }

  .cookie-warning-settings {
    .cookie-settings-title {
      font-size: 12px;
      padding: 0 10px;
    }

    .checkbox-item {
      display: inline-block;
      padding-right: 3px;
      font-size: 12px;
      --background: transparent;

      .checkbox {
        margin-right: 5px;
      }
    }
  }

  .cookie-warning-btn {
    position: relative;
    display: block;
    padding: 0 8px;

    .btn-group {
      .action-btn {
        font-size: 12px;
      }
    }
  }

  .fake-link {
    color: var(--ion-color-tertiary-shade);
    cursor: pointer;

    &:hover {
      color: var(--fg-highlight);
    }
  }
}

@media (max-width: map-get($grid-breakpoints, 'xxxl')) {
}
@media (max-width: map-get($grid-breakpoints, 'xl')) {
}
@media (max-width: map-get($grid-breakpoints, 'lg')) {
}
@media (max-width: map-get($grid-breakpoints, 'md')) {
}
@media (max-width: map-get($grid-breakpoints, 'sm')) {
}
@media (max-width: map-get($grid-breakpoints, 'is')) {
}
@media (max-width: map-get($grid-breakpoints, 'xs')) {
}